package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.Building;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllBuildingsNode extends Renderable {
	
	private final List<Building> buildings;
	
	public AllBuildingsNode(List<Building> buildings) {
		this.buildings = buildings;
	}

	@Override
	public void refreshTextColor() {
		// no color changes
	}

	@Override
	public String getText() {
		return "Buildings";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.renderBuildings(buildings);
	}

}
