package de.hft.stuttgart.citydoctor2.webservice.model;

import de.hft.stuttgart.citydoctor2.webservice.model.entities.Validation;

public class ValidationReference {
	
	private int id;
	private String name;
	private ValidationStatus status;
	
	public static ValidationReference of(Validation valid) {
		return new ValidationReference(valid.getId(), valid.getName(), valid.getStatus());
	}

	public ValidationReference(int id, String name, ValidationStatus status) {
		super();
		this.id = id;
		this.name = name;
		this.status = status;
	}

	public ValidationStatus getStatus() {
		return status;
	}

	public void setStatus(ValidationStatus status) {
		this.status = status;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	

}
